osgViewer::Viewer Class Reference

`#include <Viewer>`

Inheritance diagram for osgViewer::Viewer:

## Public Member Functions

| Viewer ()
| Viewer (osg::ArgumentParser &arguments)
| Viewer (const osgViewer::Viewer &viewer, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual | ~Viewer ()
| META_Object (osgViewer, Viewer)
virtual void | take (osg::View &rhs)
virtual void | setViewerStats (osg::Stats *stats)
virtual osg::Stats * | getViewerStats ()
virtual const osg::Stats * | getViewerStats () const
virtual bool | readConfiguration (const std::string &filename)
virtual bool | isRealized () const
virtual void | realize ()
virtual void | setStartTick (osg::Timer_t tick)
void | setReferenceTime (double time=0.0)
virtual void | setSceneData (osg::Node *node)
virtual GraphicsWindowEmbedded * | setUpViewerAsEmbeddedInWindow (int x, int y, int width, int height)
virtual double | elapsedTime ()
virtual osg::FrameStamp * | getViewerFrameStamp ()
virtual int | run ()
virtual bool | checkNeedToDoFrame ()
virtual bool | checkEvents ()
virtual void | advance (double simulationTime=USE_REFERENCE_TIME)
virtual void | eventTraversal ()
virtual void | updateTraversal ()
virtual void | getCameras (Cameras &cameras, bool onlyActive=true)
virtual void | getContexts (Contexts &contexts, bool onlyValid=true)
virtual void | getAllThreads (Threads &threads, bool onlyActive=true)
virtual void | getOperationThreads (OperationThreads &threads, bool onlyActive=true)
virtual void | getScenes (Scenes &scenes, bool onlyValid=true)
virtual void | getViews (Views &views, bool onlyValid=true)
virtual void | getUsage (osg::ApplicationUsage &usage) const
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *state=0) const
template<class T>
void | setSceneData (const osg::ref_ptr< T > &node)
Public Member Functions inherited from osgViewer::ViewerBase
| ViewerBase ()
| ViewerBase (const ViewerBase &vb)
void | setUseConfigureAffinity (bool flag)
bool | getUseConfigureAffinity () const
virtual void | configureAffinity ()
virtual void | setProcessorAffinity (const OpenThreads::Affinity &affinity)
OpenThreads::Affinity & | getProcessorAffinity ()
const OpenThreads::Affinity & | getProcessorAffinity () const
virtual void | setThreadingModel (ThreadingModel threadingModel)
ThreadingModel | getThreadingModel () const
virtual ThreadingModel | suggestBestThreadingModel ()
virtual void | setUpThreading ()
bool | areThreadsRunning () const
virtual void | stopThreading ()
virtual void | startThreading ()
void | setEndBarrierPosition (BarrierPosition bp)
BarrierPosition | getEndBarrierPosition () const
void | setEndBarrierOperation (osg::BarrierOperation::PreBlockOp op)
osg::BarrierOperation::PreBlockOp | getEndBarrierOperation () const
void | setDone (bool done)
bool | done () const
void | setEventVisitor (osgGA::EventVisitor *eventVisitor)
osgGA::EventVisitor * | getEventVisitor ()
const osgGA::EventVisitor * | getEventVisitor () const
void | setKeyEventSetsDone (int key)
int | getKeyEventSetsDone () const
void | setQuitEventSetsDone (bool flag)
bool | getQuitEventSetsDone () const
void | setReleaseContextAtEndOfFrameHint (bool hint)
bool | getReleaseContextAtEndOfFrameHint () const
void | setUpdateVisitor (osgUtil::UpdateVisitor *updateVisitor)
osgUtil::UpdateVisitor * | getUpdateVisitor ()
const osgUtil::UpdateVisitor * | getUpdateVisitor () const
void | setUpdateOperations (osg::OperationQueue *operations)
osg::OperationQueue * | getUpdateOperations ()
const osg::OperationQueue * | getUpdateOperations () const
void | addUpdateOperation (osg::Operation *operation)
void | removeUpdateOperation (osg::Operation *operation)
void | setRealizeOperation (osg::Operation *op)
osg::Operation * | getRealizeOperation ()
void | setCleanUpOperation (osg::Operation *op)
osg::Operation * | getCleanUpOperation ()
void | setIncrementalCompileOperation (osgUtil::IncrementalCompileOperation *ico)
osgUtil::IncrementalCompileOperation * | getIncrementalCompileOperation ()
void | setRunFrameScheme (FrameScheme fs)
FrameScheme | getRunFrameScheme () const
void | setRunMaxFrameRate (double frameRate)
double | getRunMaxFrameRate () const
virtual void | frame (double simulationTime=USE_REFERENCE_TIME)
virtual void | renderingTraversals ()
virtual void | getWindows (Windows &windows, bool onlyValid=true)
void | checkWindowStatus ()
void | checkWindowStatus (const Contexts &contexts)
bool | getRequestRedraw () const
bool | getRequestContinousUpdate () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const
Public Member Functions inherited from osgViewer::View
| View ()
| View (const osgViewer::View &view, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgViewer, View)
virtual osg::View * | asView ()
ViewerBase * | getViewerBase ()
osg::Timer_t | getStartTick () const
Scene * | getScene ()
const Scene * | getScene () const
template<class T>
void | setSceneData (const osg::ref_ptr< T > &node)
osg::Node * | getSceneData ()
const osg::Node * | getSceneData () const
void | setDatabasePager (osgDB::DatabasePager *dp)
template<class T>
void | setDatabasePager (const osg::ref_ptr< T > &dp)
osgDB::DatabasePager * | getDatabasePager ()
const osgDB::DatabasePager * | getDatabasePager () const
void | setImagePager (osgDB::ImagePager *ip)
template<class T>
void | setImagePager (const osg::ref_ptr< T > &ip)
osgDB::ImagePager * | getImagePager ()
const osgDB::ImagePager * | getImagePager () const
void | addDevice (osgGA::Device *eventSource)
template<class T>
void | addDevice (const osg::ref_ptr< T > &eventSource)
void | removeDevice (osgGA::Device *eventSource)
template<class T>
void | removeDevice (const osg::ref_ptr< T > &eventSource)
Devices & | getDevices ()
const Devices & | getDevices () const
void | setEventQueue (osgGA::EventQueue *eventQueue)
template<class T>
void | setEventQueue (const osg::ref_ptr< T > &eventQueue)
osgGA::EventQueue * | getEventQueue ()
const osgGA::EventQueue * | getEventQueue () const
void | setCameraManipulator (osgGA::CameraManipulator *manipulator, bool resetPosition=true)
template<class T>
void | setCameraManipulator (const osg::ref_ptr< T > &manipulator, bool resetPosition=true)
osgGA::CameraManipulator * | getCameraManipulator ()
const osgGA::CameraManipulator * | getCameraManipulator () const
void | home ()
void | addEventHandler (osgGA::EventHandler *eventHandler)
template<class T>
void | addEventHandler (const osg::ref_ptr< T > &eventHandler)
void | removeEventHandler (osgGA::EventHandler *eventHandler)
template<class T>
void | removeEventHandler (const osg::ref_ptr< T > &eventHandler)
EventHandlers & | getEventHandlers ()
const EventHandlers & | getEventHandlers () const
void | setCoordinateSystemNodePath (const osg::NodePath &nodePath)
osg::NodePath | getCoordinateSystemNodePath () const
void | computeActiveCoordinateSystemNodePath ()
void | setDisplaySettings (osg::DisplaySettings *ds)
template<class T>
void | setDisplaySettings (const osg::ref_ptr< T > &ds)
osg::DisplaySettings * | getDisplaySettings ()
const osg::DisplaySettings * | getDisplaySettings () const
void | setFusionDistance (osgUtil::SceneView::FusionDistanceMode mode, float value=1.0f)
osgUtil::SceneView::FusionDistanceMode | getFusionDistanceMode () const
float | getFusionDistanceValue () const
void | apply (ViewConfig *config)
template<class T>
void | apply (const osg::ref_ptr< T > &config)
ViewConfig * | getLastAppliedViewConfig ()
const ViewConfig * | getLastAppliedViewConfig () const
void | setUpViewAcrossAllScreens ()
void | setUpViewInWindow (int x, int y, int width, int height, unsigned int screenNum=0)
void | setUpViewOnSingleScreen (unsigned int screenNum=0)
void | setUpViewFor3DSphericalDisplay (double radius=1.0, double collar=0.45, unsigned int screenNum=0, osg::Image *intensityMap=0, const osg::Matrixd &projectorMatrix=osg::Matrixd())
void | setUpViewForPanoramicSphericalDisplay (double radius=1.0, double collar=0.45, unsigned int screenNum=0, osg::Image *intensityMap=0, const osg::Matrixd &projectorMatrix=osg::Matrixd())
void | setUpViewForWoWVxDisplay (unsigned int screenNum, unsigned char wow_content, unsigned char wow_factor, unsigned char wow_offset, float wow_disparity_Zd, float wow_disparity_vz, float wow_disparity_M, float wow_disparity_C)
bool | setUpDepthPartitionForCamera (osg::Camera *cameraToPartition, DepthPartitionSettings *dps=0)
bool | setUpDepthPartition (DepthPartitionSettings *dsp=0)
bool | containsCamera (const osg::Camera *camera) const
template<class T>
bool | containsCamera (const osg::ref_ptr< T > &camera) const
const osg::Camera * | getCameraContainingPosition (float x, float y, float &local_x, float &local_y) const
bool | computeIntersections (float x, float y, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
bool | computeIntersections (float x, float y, const osg::NodePath &nodePath, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
bool | computeIntersections (const osgGA::GUIEventAdapter &ea, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
bool | computeIntersections (const osgGA::GUIEventAdapter &ea, const osg::NodePath &nodePath, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
bool | computeIntersections (const osg::Camera *camera, osgUtil::Intersector::CoordinateFrame cf, float x, float y, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
bool | computeIntersections (const osg::Camera *camera, osgUtil::Intersector::CoordinateFrame cf, float x, float y, const osg::NodePath &nodePath, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
virtual void | requestRedraw ()
virtual void | requestContinuousUpdate (bool needed=true)
virtual void | requestWarpPointer (float x, float y)
virtual bool | requiresUpdateSceneGraph () const
virtual bool | requiresRedraw () const
osg::Texture * | createDistortionTexture (int width, int height)
osg::Camera * | assignRenderToTextureCamera (osg::GraphicsContext *gc, int width, int height, osg::Texture *texture)
osg::Camera * | assignKeystoneDistortionCamera (osg::DisplaySettings *ds, osg::GraphicsContext *gc, int x, int y, int width, int height, GLenum buffer, osg::Texture *texture, Keystone *keystone)
osg::Camera * | assignStereoCamera (osg::DisplaySettings *ds, osg::GraphicsContext *gc, int x, int y, int width, int height, GLenum buffer, double eyeScale)
void | assignStereoOrKeystoneToCamera (osg::Camera *camera, osg::DisplaySettings *ds)
void | assignSceneDataToCameras ()
void | init ()
Public Member Functions inherited from osg::View
| View ()
| View (const osg::View &view, const osg::CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Object (osg, View)
void | setStats (osg::Stats *stats)
osg::Stats * | getStats ()
const osg::Stats * | getStats () const
void | setLightingMode (LightingMode lightingMode)
LightingMode | getLightingMode () const
void | setLight (osg::Light *light)
osg::Light * | getLight ()
const osg::Light * | getLight () const
void | setCamera (osg::Camera *camera)
osg::Camera * | getCamera ()
const osg::Camera * | getCamera () const
void | setFrameStamp (osg::FrameStamp *fs)
osg::FrameStamp * | getFrameStamp ()
const osg::FrameStamp * | getFrameStamp () const
bool | addSlave (osg::Camera *camera, bool useMastersSceneData=true)
bool | addSlave (osg::Camera *camera, const osg::Matrix &projectionOffset, const osg::Matrix &viewOffset, bool useMastersSceneData=true)
bool | removeSlave (unsigned int pos)
unsigned int | getNumSlaves () const
Slave & | getSlave (unsigned int pos)
const Slave & | getSlave (unsigned int pos) const
unsigned int | findSlaveIndexForCamera (osg::Camera *camera) const
Slave * | findSlaveForCamera (osg::Camera *camera)
void | updateSlaves ()
Public Member Functions inherited from osgGA::GUIActionAdapter
virtual | ~GUIActionAdapter ()

## Protected Member Functions

void | constructorInit ()
virtual void | viewerInit ()
void | generateSlavePointerData (osg::Camera *camera, osgGA::GUIEventAdapter &event)
void | generatePointerData (osgGA::GUIEventAdapter &event)
void | reprojectPointerData (osgGA::GUIEventAdapter &source_event, osgGA::GUIEventAdapter &dest_event)
Protected Member Functions inherited from osgViewer::ViewerBase
void | viewerBaseInit ()
void | makeCurrent (osg::GraphicsContext *gc)
void | releaseContext ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Member Functions inherited from osgViewer::View
virtual | ~View ()
virtual osg::GraphicsOperation * | createRenderer (osg::Camera *camera)

## Additional Inherited Members

Public Types inherited from osgViewer::ViewerBase
enum | ThreadingModel { SingleThreaded , CullDrawThreadPerContext , ThreadPerContext = CullDrawThreadPerContext , DrawThreadPerContext , CullThreadPerCameraDrawThreadPerContext , ThreadPerCamera = CullThreadPerCameraDrawThreadPerContext , AutomaticSelection }
enum | BarrierPosition { BeforeSwapBuffers , AfterSwapBuffers }
enum | FrameScheme { ON_DEMAND , CONTINUOUS }
typedef std::vector< osg::Camera * > | Cameras
typedef std::vector< osg::GraphicsContext * > | Contexts
typedef std::vector< osgViewer::GraphicsWindow * > | Windows
typedef std::vector< OpenThreads::Thread * > | Threads
typedef std::vector< osg::OperationThread * > | OperationThreads
typedef std::vector< osgViewer::Scene * > | Scenes
typedef std::vector< osgViewer::View * > | Views
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Public Types inherited from osgViewer::View
typedef std::vector< osg::ref_ptr< osgGA::Device > > | Devices
typedef std::list< osg::ref_ptr< osgGA::EventHandler > > | EventHandlers
Public Types inherited from osg::View
enum | LightingMode { NO_LIGHT , HEADLIGHT , SKY_LIGHT }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Types inherited from osg::View
typedef std::vector< Slave > | Slaves
Protected Attributes inherited from osgViewer::ViewerBase
bool | _firstFrame
bool | _done
int | _keyEventSetsDone
bool | _quitEventSetsDone
bool | _releaseContextAtEndOfFrameHint
bool | _useConfigureAffinity
OpenThreads::Affinity | _affinity
ThreadingModel | _threadingModel
bool | _threadsRunning
bool | _requestRedraw
bool | _requestContinousUpdate
FrameScheme | _runFrameScheme
double | _runMaxFrameRate
BarrierPosition | _endBarrierPosition
osg::BarrierOperation::PreBlockOp | _endBarrierOperation
osg::ref_ptr< osg::BarrierOperation > | _startRenderingBarrier
osg::ref_ptr< osg::BarrierOperation > | _endRenderingDispatchBarrier
osg::ref_ptr< osg::EndOfDynamicDrawBlock > | _endDynamicDrawBlock
osg::ref_ptr< osgGA::EventVisitor > | _eventVisitor
osg::ref_ptr< osg::OperationQueue > | _updateOperations
osg::ref_ptr< osgUtil::UpdateVisitor > | _updateVisitor
osg::ref_ptr< osg::Operation > | _realizeOperation
osg::ref_ptr< osg::Operation > | _cleanUpOperation
osg::ref_ptr< osgUtil::IncrementalCompileOperation > | _incrementalCompileOperation
osg::observer_ptr< osg::GraphicsContext > | _currentContext
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount
Protected Attributes inherited from osgViewer::View
osg::observer_ptr< ViewerBase > | _viewerBase
osg::Timer_t | _startTick
Devices | _eventSources
osg::ref_ptr< osgViewer::Scene > | _scene
osg::ref_ptr< osgGA::EventQueue > | _eventQueue
osg::ref_ptr< osgGA::CameraManipulator > | _cameraManipulator
EventHandlers | _eventHandlers
osg::ObserverNodePath | _coordinateSystemNodePath
osg::ref_ptr< osg::DisplaySettings > | _displaySettings
osgUtil::SceneView::FusionDistanceMode | _fusionDistanceMode
float | _fusionDistanceValue
osg::ref_ptr< ViewConfig > | _lastAppliedViewConfig
Protected Attributes inherited from osg::View
osg::ref_ptr< osg::Stats > | _stats
LightingMode | _lightingMode
osg::ref_ptr< osg::Light > | _light
osg::ref_ptr< osg::Camera > | _camera
Slaves | _slaves
osg::ref_ptr< osg::FrameStamp > | _frameStamp

## Detailed Description

Viewer holds a single view on to a single scene.

## Constructor & Destructor Documentation

## Viewer() [1/3]

osgViewer::Viewer::Viewer | ( |  | ) |

Referenced by META_Object().

## Viewer() [2/3]

osgViewer::Viewer::Viewer | ( | osg::ArgumentParser & | arguments | ) |

## Viewer() [3/3]

osgViewer::Viewer::Viewer | ( | const osgViewer::Viewer & | viewer,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References osg::CopyOp::SHALLOW_COPY.

## ~Viewer()

virtual osgViewer::Viewer::~Viewer | ( |  | ) |

virtual

## Member Function Documentation

## advance()

virtual void osgViewer::Viewer::advance | ( | double | simulationTime = USE_REFERENCE_TIME | ) |

virtual

Implements osgViewer::ViewerBase.

References USE_REFERENCE_TIME.

## checkEvents()

virtual bool osgViewer::Viewer::checkEvents | ( |  | ) |

virtual

check to see if events have been received, return true if events are now available.

Implements osgViewer::ViewerBase.

## checkNeedToDoFrame()

virtual bool osgViewer::Viewer::checkNeedToDoFrame | ( |  | ) |

virtual

check to see if the new frame is required, called by run(..) when FrameScheme is set to ON_DEMAND.

Implements osgViewer::ViewerBase.

## constructorInit()

void osgViewer::Viewer::constructorInit | ( |  | ) |

protected

## elapsedTime()

virtual double osgViewer::Viewer::elapsedTime | ( |  | ) |

virtual

Implements osgViewer::ViewerBase.

## eventTraversal()

virtual void osgViewer::Viewer::eventTraversal | ( |  | ) |

virtual

Implements osgViewer::ViewerBase.

## generatePointerData()

void osgViewer::Viewer::generatePointerData | ( | osgGA::GUIEventAdapter & | event | ) |

protected

## generateSlavePointerData()

void osgViewer::Viewer::generateSlavePointerData | ( | osg::Camera * | camera,
|  | osgGA::GUIEventAdapter & | event )

protected

## getAllThreads()

virtual void osgViewer::Viewer::getAllThreads | ( | Threads & | threads,
|  | bool | onlyActive = true )

virtual

Implements osgViewer::ViewerBase.

## getCameras()

virtual void osgViewer::Viewer::getCameras | ( | Cameras & | cameras,
|  | bool | onlyActive = true )

virtual

Implements osgViewer::ViewerBase.

## getContexts()

virtual void osgViewer::Viewer::getContexts | ( | Contexts & | contexts,
|  | bool | onlyValid = true )

virtual

Implements osgViewer::ViewerBase.

## getOperationThreads()

virtual void osgViewer::Viewer::getOperationThreads | ( | OperationThreads & | threads,
|  | bool | onlyActive = true )

virtual

Implements osgViewer::ViewerBase.

## getScenes()

virtual void osgViewer::Viewer::getScenes | ( | Scenes & | scenes,
|  | bool | onlyValid = true )

virtual

Implements osgViewer::ViewerBase.

## getUsage()

virtual void osgViewer::Viewer::getUsage | ( | osg::ApplicationUsage & | usage | ) | const

virtual

Get the keyboard and mouse usage of this viewer.

Implements osgViewer::ViewerBase.

## getViewerFrameStamp()

virtual osg::FrameStamp * osgViewer::Viewer::getViewerFrameStamp | ( |  | ) |

inline virtual

Implements osgViewer::ViewerBase.

References osg::View::getFrameStamp().

## getViewerStats() [1/2]

virtual osg::Stats * osgViewer::Viewer::getViewerStats | ( |  | ) |

inline virtual

Get the Viewers Stats object.

Implements osgViewer::ViewerBase.

References osg::View::getStats().

## getViewerStats() [2/2]

virtual const osg::Stats * osgViewer::Viewer::getViewerStats | ( |  | ) | const

inline virtual

Get the Viewers Stats object.

Implements osgViewer::ViewerBase.

References osg::View::getStats().

## getViews()

virtual void osgViewer::Viewer::getViews | ( | Views & | views,
|  | bool | onlyValid = true )

virtual

Implements osgViewer::ViewerBase.

## isRealized()

virtual bool osgViewer::Viewer::isRealized | ( |  | ) | const

virtual

Get whether at least of one of this viewers windows are realized.

Implements osgViewer::ViewerBase.

## META_Object()

osgViewer::Viewer::META_Object | ( | osgViewer | ,
|  | Viewer | )

References Viewer().

## readConfiguration()

virtual bool osgViewer::Viewer::readConfiguration | ( | const std::string & | filename | ) |

virtual

read the viewer configuration from a configuration file.

Implements osgViewer::ViewerBase.

## realize()

virtual void osgViewer::Viewer::realize | ( |  | ) |

virtual

set up windows and associated threads.

Implements osgViewer::ViewerBase.

## releaseGLObjects()

virtual void osgViewer::Viewer::releaseGLObjects | ( | osg::State * | = 0 | ) | const

inline virtual

If State is non-zero, this function releases any associated OpenGL objects for the specified graphics context. Otherwise, releases OpenGL objects for all graphics contexts.

Reimplemented from osg::Object.

References osg::View::releaseGLObjects().

## reprojectPointerData()

void osgViewer::Viewer::reprojectPointerData | ( | osgGA::GUIEventAdapter & | source_event,
|  | osgGA::GUIEventAdapter & | dest_event )

protected

## resizeGLObjectBuffers()

virtual void osgViewer::Viewer::resizeGLObjectBuffers | ( | unsigned int |  | ) |

inline virtual

Resize any per context GLObject buffers to specified size.

Reimplemented from osg::Object.

References osg::View::resizeGLObjectBuffers().

## run()

virtual int osgViewer::Viewer::run | ( |  | ) |

virtual

Execute a main frame loop. Equivalent to while (!viewer.done()) viewer.frame(); Also calls realize() if the viewer is not already realized, and installs trackball manipulator if one is not already assigned.

Reimplemented from osgViewer::ViewerBase.

## setReferenceTime()

void osgViewer::Viewer::setReferenceTime | ( | double | time = 0.0 | ) |

References osgViewer::View::setSceneData().

## setSceneData() [1/2]

template<class T>

void osgViewer::View::setSceneData | ( | const osg::ref_ptr< T > & | node | ) |

inline

## setSceneData() [2/2]

virtual void osgViewer::Viewer::setSceneData | ( | osg::Node * | node | ) |

virtual

Set the sene graph data that viewer with view.

Reimplemented from osgViewer::View.

## setStartTick()

virtual void osgViewer::Viewer::setStartTick | ( | osg::Timer_t | tick | ) |

virtual

Reimplemented from osgViewer::View.

## setUpViewerAsEmbeddedInWindow()

virtual GraphicsWindowEmbedded * osgViewer::Viewer::setUpViewerAsEmbeddedInWindow | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height )

virtual

Convenience method for setting up the viewer so it can be used embedded in an external managed window. Returns the GraphicsWindowEmbedded that can be used by applications to pass in events to the viewer.

## setViewerStats()

virtual void osgViewer::Viewer::setViewerStats | ( | osg::Stats * | stats | ) |

inline virtual

Set the Stats object used to collect various frame related timing and scene graph stats.

Implements osgViewer::ViewerBase.

References osg::View::setStats().

## take()

virtual void osgViewer::Viewer::take | ( | osg::View & | rhs | ) |

virtual

Take all the settings, Camera and Slaves from the passed in view(er), leaving it empty.

Reimplemented from osgViewer::View.

## updateTraversal()

virtual void osgViewer::Viewer::updateTraversal | ( |  | ) |

virtual

Implements osgViewer::ViewerBase.

## viewerInit()

virtual void osgViewer::Viewer::viewerInit | ( |  | ) |

inline protected virtual

Implements osgViewer::ViewerBase.

References osgViewer::View::init().

The documentation for this class was generated from the following file:

- Viewer